# Roll trade

Roll a trade to another value date. Available to broker users and sales dealer users.

Endpoint: POST /v2/trades/roll
Version: 1.0.1
Security: SSO_TOKEN

## Security:

  - `SSO_TOKEN` (unknown)
    apiKey in header SSO_TOKEN

## Request fields (application/json):

  - `id` (string, required)
    ID of the trade to roll.

  - `forwardPoints` (number, required)
    Forward points for the rolled trade.

  - `valueDate` (string, required)
    New value date for the rolled trade in the format `YYYY-MM-DD`.

  - `fixingDate` (string)
    New fixing date for the rolled NDF trade in the format `YYYY-MM-DD`. Required for trades in non-deliverable instruments.

  - `note` (string)
    Any notes on the trade. These notes are sent via STP if the trade is eligible for STP (stp=true).

## Request examples:

  - `Roll a trade` (unknown)
    Roll a trade to a forward date.

  - `Roll an NDF trade` (unknown)
    Roll an NDF trade to a forward date.

## Response 200:

  - `200` (unknown)
    The ID and creation time of the book trade in Integral’s system.

## Response 200 fields (application/json):

  - `originalTradeId` (string)
    ID of the original trade that was rolled.

  - `tradeId` (string)
    ID of the new trade.

  - `createdTime` (string)
    Date and time (GMT) the trade was booked in the format `yyyy-MM-dd HH:mm:ss,SSS Z`.

## Response 400:

  - `400` (unknown)
    * `invalid_id`: trade ID not present in the system or a trade in a state that cannot be rolled.
* `invalid_valueDate`: incorrect format, invalid date, or not a business date.
* `invalid_fixingDate`: incorrect format, invalid date, or not a business date.
* `malformed_request`: request or properties not formatted correctly (for example, amount properties contain other than numeric values).

## Response 401:

  - `401` (unknown)
    Unauthorized.

